Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class NotFoundReason

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextPackage.NotFoundReason

All Implemented Interfaces:
  IDLEntity, Serializable

public final class NotFoundReason
extends Object
implements IDLEntity

See Also:
  Serialized Form

Field Summary
`static int` | `_missing_node`
`static int` | `_not_context`
`static int` | `_not_object`
`static NotFoundReason` | `missing_node`
`static NotFoundReason` | `not_context`
`static NotFoundReason` | `not_object`

Method Summary
`static NotFoundReason` | `from_int(int i)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _missing_node

    public static final int _missing_node

### _not_context

    public static final int _not_context

### _not_object

    public static final int _not_object

### missing_node

    public static final NotFoundReason missing_node

### not_context

    public static final NotFoundReason not_context

### not_object

    public static final NotFoundReason not_object

Method Detail

### value

    public int value()

### from_int

    public static final NotFoundReason from_int(int i)
                                         throws BAD_PARAM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.